@echo off
:: BatchGotAdmin
:-------------------------------------
REM  --> Check for permissions
    IF "%PROCESSOR_ARCHITECTURE%" EQU "amd64" (
>nul 2>&1 "%SYSTEMROOT%\SysWOW64\cacls.exe" "%SYSTEMROOT%\SysWOW64\config\system"
) ELSE (
>nul 2>&1 "%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system"
)

REM --> If error flag set, we do not have admin.
if '%errorlevel%' NEQ '0' (
    echo Requesting administrative privileges...
    goto UACPrompt
) else ( goto gotAdmin )

:UACPrompt
    echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\getadmin.vbs"
    set params = %*:"=""
    echo UAC.ShellExecute "cmd.exe", "/c ""%~s0"" %params%", "", "runas", 1 >> "%temp%\getadmin.vbs"

    "%temp%\getadmin.vbs"
    del "%temp%\getadmin.vbs"
    exit /B

:gotAdmin
    pushd "%CD%"
    CD /D "%~dp0"


if exist dir.txt del dir.txt
if exist driver.txt del driver.txt
if exist oeminf.txt del oeminf.txt

:uninstall
SC STOP iTurboSvc
dism /online /get-drivers /format:table>driver.txt

echo ---------------------------- Uninstalling Inf ----------------------------

findstr /i "iTurboDrv.inf" driver.txt >oeminf.txt
for /f "tokens=1" %%a in (oeminf.txt) do (
pnputil.exe /delete-driver %%a /force /uninstall > nul
)

rem clean up
if exist dir.txt del dir.txt
if exist driver.txt del driver.txt
if exist oeminf.txt del oeminf.txt
SC DELETE iTurboSvc
echo ----------------------------    Finished!    ----------------------------

PAUSE
